Pidgin и ICQ в Ubuntu

9 марта 2008
Рубрика: Ubuntu, Заметки
Теги:

Zeboton

Как оказалось многие мучаются с ICQ протоколом в Pidgin. Суть проблемы — приём сообщений из оффлайна в неправильной кодировке, неправильное отображение названия групп на русском языке.

А ведь это лечится очень просто! В дополнительных свойствах учётной записи нужно вместо кодировки CP1251 указать windows-1251. И всё 🙂

Похожие записи:

25 комментариев для “Pidgin и ICQ в Ubuntu”

  1. IllAIR9 марта 2008 ~ 20:27

    И все?!

  2. Zeboton9 марта 2008 ~ 21:01

    Так точно!

  3. IllAIR11 марта 2008 ~ 20:47

    Слушай, а какая у тебя версия стоит? У меня вот 2.2.1, а на сайте можно скачать 2.4, но для Федоры… Как быть?

  4. IllAIR11 марта 2008 ~ 21:29

    И где можно скачать Скины и смайлы для этого клиента? 🙂

  5. Zeboton11 марта 2008 ~ 21:49

    У меня версия 2.2.1.
    Если хочется более новую, то есть несколько способов:
    1. Собрать из исходных кодов самому. Теоретически всё должно пройти гладко, так как у тебя уже есть работающий Pidgin, а значит есть и все необходимые для него библиотеки. Максимум что может понадобиться это библиотека для сборки приложений из исходников. (Ей название увидишь когда сделаешь команду make)
    2. Скачать rpm и переделать его в deb при помощи alien.

    Про скрины/смайлики/модули я ничего не знаю, так как пользуюсь стандартной сборкой и мне её хватает выше крыши. Но если найдёшь информацию по этому поводу, то буду рад, если поделишься.

  6. Denis19 марта 2008 ~ 12:49

    Скачать Pigdin 2.4 в дебах можно с getdeb.net. На этом сайте новые версии некоторых программ появляются быстрее, чем в репах Убунты.

  7. wsurf23 марта 2008 ~ 14:44

    У меня Pidgin вообще не удается запустить с моим юином — пишет что «ваша учетная запись сейчас заблокирована». На работе под виндами — все ок. Я блондинка?

  8. Anonymous28 октября 2008 ~ 19:02

    посмотрите на четвертое решение
    http://meandubuntu.blogspot.com/2008/07/pidgin-icq-ubuntu.html

    — вот где класс!

  9. BARS14 декабря 2008 ~ 23:59

    А не подскажете, что за версия?
    У меня версия 2.5.2, там нет такой опции на этой странице настроек….

  10. Zeboton15 декабря 2008 ~ 06:22

    Для BARS.
    Очень странно, это должно быть! Вы точно настраиваете именно ICQ протокол? У меня версия 2.4.1.

  11. Anonymous22 декабря 2008 ~ 20:19

    У меня получилось спасибо

  12. Amir15 января 2009 ~ 07:43

    у меня стоит 2.4.1 как мне обновить до 2.5.4 если я уже скачал дистрибутив?

  13. Zeboton15 января 2009 ~ 08:08

    Для Amir.
    Не очень понятно слово «дистрибутив». Возможно вы имеете в виду пакет. А какой пакет? DEB или RPM? Если DEB, то просто щёлкните на нём два раза левой клавишей мышки. Предварительно можно удалить старую версию через Synaptic (меню Система — Администрирование — Менеджер пакетов Synaptic).
    Если же у вас RPM, то нужно сначала его переделать в DEB использую консольную программу alien. Для её установки выполните в терминале sudo apt-get install alien. Чтобы узнать как работать с alien выполните в терминале man alien.
    Если у вас архив с исходными кодами, то вы намучаетесь!

  14. Anonymous11 марта 2009 ~ 09:59

    простите за тупость, но не подскажете, как можно установить pidgin 2.5.5? Я его скачал, а установить не могу. Я в компах чайник, а тут еще Ubuntu поставили. не могу разобраться еще =)
    Буду признател за помощь, ребята.

  15. Softovick11 марта 2009 ~ 16:55

    Для Анонима с вопрос об обновлении Pidgin.
    Очень просто. По шагам, как я делал:
    1. Качаете для вашей версии Ubuntu отсюда пакеты http://www.getdeb.net/app/Pidgin . Сохраняете в отдельной папке.
    2. В терминале переходите в эту папку и набираете sudo dpkg -i *.deb
    3. После установки сразу набираете sudo apt-get install -f.
    4. Все, у вас последняя версия. Хотя может существует более легкий путь 🙂

  16. Anonymous18 марта 2009 ~ 00:02

    по разным причинам , не возможно установить *deb пакет !
    ..ну что ж "берёмся за бубен" — шаманим!

    1)#(sudo)sudo apt-get -y build-dep pidgin
    2)#(sudo) apt-get install network-manager-dev
    3) wget http://downloads.sourceforge.net/pidgin/pidgin-2.5.5.tar.bz2
    4)#(sudo) tar jxvf pidgin-2.5.5.tar.bz2
    5)$cd pidgin-2.5.5
    6)#(sudo)./configure —prefix=/usr
    7)#(sudo) make && sudo make install

    ..бубен всторону!

  17. Anonymous21 марта 2009 ~ 20:25

    "1)#(sudo)sudo apt-get -y build-dep pidgin
    2)#(sudo) apt-get install network-manager-dev
    3) wget http://downloads.sourceforge.net/pidgin/pidgin-2.5.5.tar.bz2
    4)#(sudo) tar jxvf pidgin-2.5.5.tar.bz2
    5)$cd pidgin-2.5.5
    6)#(sudo)./configure —prefix=/usr
    7)#(sudo) make && sudo make install"

    Прошу прощение, так как я чайник — в консоле надо точ в точ вписывать, что описано выше или что-то опускать?

  18. Anonymous22 марта 2009 ~ 18:00

    Попробовал обновить версию до 2.5.5, как описано Анонимом выше, (*.deb не устанавливались)

    На команде configure возникает ошибка:
    configure: error: GNU gettext tools not found; required for intltool

    что нужно исправить?

  19. Anonymous6 апреля 2009 ~ 17:33

    cp1251 и windows-1251 — одно и то же! Просто по дефолту ЮТФ-8 что ли стоит…

  20. Zeboton6 апреля 2009 ~ 19:16

    Для анонима
    Теоретически — да. Но на практике, для той версии которая описана в самой заметке как минимум, если установить cp-1251, то сообщения из offline приходят в неправильной кодировке, а если установить windows-1251, то всё работает отлично. Почему так — не знаю. Да и теперь без надобности, так как полностью перешёл на Jabber.

  21. Sтрелиция23 ноября 2010 ~ 13:18

    Подскажите пожалуйста что делать: у меня на работе стоит линукс, соответственно убунта и пиджин, на этой системе работаю с августа, и с этого же времени сижу в пиджине, все было нормально а вот последние 5 дней не могу зайти в пиджин под своим уином. пишет вот это-Соединение с сервером потеряно:
    Connection reset by peer. с другими уинами выдает тоже самое. я честно говоря в настройках н е особо понимаю, не поможете?

  22. Zeboton23 ноября 2010 ~ 15:59

    Sтрелиция, как я понял из вашего сообщения у вас проблема с ICQ (Pidgin это программа, которая предоставляет транспорт для работы с разными протоколами, сама же она не с чем не соединяется). Как недавно писали на Хабре, произошёл переезд серверов ICQ. Советую перейти в окне Pidgin Уч.записи → Управление учётными записями, далее выбрать нужную, щёлкнуть на кнопку Изменить…, перейти на вкладку Дополнительные и убрать галочку с пункта Использовать SSL. После этого ICQ должен начать соединяться, если не будет, то поменяйте ещё и сервер подключения, на тот что указан в статье на Хабре.
    Мой вам совет — переходите с ICQ на Jabber, так как чем дальше, тем больше будет проблем с ICQ!

  23. Sтрелицция25 ноября 2010 ~ 15:39

    Спасибо , сменила как вы сказали адрес сервера и вуаля)) все работает))

  24. инна27 декабря 2010 ~ 17:37

    подскажите плиз, захожу в Pidgin, и когда подключаю учетную запись пишет, Аутентификация завершилась неудачно в чем может быть проблема

  25. Zeboton27 декабря 2010 ~ 22:34

    инна, моё сообщение от 23 Ноя 2010 15:59 не помогает?

Ваш комментарий

*